﻿//==============================================================
// 
// File: LogicalVsConditional.cs
// 
// -------------------- 
// Σύγριση λογικών τελεστών και τελεστών συνθήκης
//==============================================================

using System;

class LogicalVsConditional
{
    static void Main(string[] args)
    {
        int x;

        // test logical; x will be increased!
        x = 1;
        bool logicalAnd = false & (x++ > 10);
        Console.WriteLine("after false & (x++ > 10), x = " + x);

        // test conditional, x will NOT be increased!
        x = 1;
        bool conditionalAnd = false && (x++ > 10);
        Console.WriteLine("after false && (x++ > 10), x = " + x);

        int count = 0;
        int total = 10;

        // Using conditional && is fine
        if (count != 0 && total / count > 60)
        {
            Console.WriteLine("Does this work?");
        }

        // Using logical & will cause "Divide-by-zero" error.
        // uncomment the code below to try out!
        // if ( count != 0 & total / count > 60)
        // {
        //     Console.WriteLine("Does this work?");
        // }

        Console.ReadKey();
    }
}
